Last Comment Bug 650617 - "Assertion failure: op(cx, o) == &scopeobj,"
: "Assertion failure: op(cx, o) == &scopeobj,"
Status: RESOLVED FIXED
fixed-in-tracemonkey
: assertion, regression, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- critical (vote)
: ---
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: jsfunfuzz 602994
  Show dependency treegraph
 
Reported: 2011-04-17 02:17 PDT by Gary Kwong [:gkw] [:nth10sd]
Modified: 2013-01-19 13:54 PST (History)
9 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
stack (4.22 KB, text/plain)
2011-04-17 02:17 PDT, Gary Kwong [:gkw] [:nth10sd]
no flags Details
fix (1.76 KB, patch)
2011-04-18 10:30 PDT, Luke Wagner [:luke]
mrbkap: review+
Details | Diff | Splinter Review

Description Gary Kwong [:gkw] [:nth10sd] 2011-04-17 02:17:38 PDT
Created attachment 526572 [details]
stack

for (b in [evalcx("let(e)eval()", evalcx('split'))]) {}

asserts js debug shell on TM changset 242947d76f73 without -m nor -j at Assertion failure: op(cx, o) == &scopeobj
Comment 1 Gary Kwong [:gkw] [:nth10sd] 2011-04-17 03:11:43 PDT
autoBisect shows this is probably related to the following changeset:

The first bad revision is:
changeset:   67972:8b7e0800ba3d
user:        Luke Wagner
date:        Fri Apr 08 10:52:51 2011 -0700
summary:     Bug 602994 - Clean up eval, remove unneeded security checks, assert equivalence of principal lookup (r=waldo,mrbkap)
Comment 2 Luke Wagner [:luke] 2011-04-18 10:30:34 PDT
Created attachment 526758 [details] [diff] [review]
fix

Oops, I borked the alpha-renaming when I turned the dynamic check into an assert.
Comment 3 Luke Wagner [:luke] 2011-04-19 10:30:25 PDT
http://hg.mozilla.org/tracemonkey/rev/e677c55655ea
Comment 4 Chris Leary [:cdleary] (not checking bugmail) 2011-04-26 15:46:26 PDT
http://hg.mozilla.org/mozilla-central/rev/e677c55655ea
Comment 5 Christian Holler (:decoder) 2013-01-19 13:54:53 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/efaf8960a929

Note You need to log in before you can comment on or make changes to this bug.